Galon Cloud
Galon API v1

/mail/consents/revoke

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

POST /mail/consents/revoke

Revoke a marketing consent

Console session only (signed-in console).

Request body

application/json

FieldTypeDescription
emailstring · required

Responses

StatusDescriptionBody
200revoked or absent

Examples

curl

curl -X POST "$GALON_API_BASE/mail/consents/revoke" \
  -H "Authorization: Bearer $GALON_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"email": "ana@example.com"}'